using System;

using Gtk;
using Glade;

using P2Pc.net;

namespace P2Pc.gui {

	public class ClCreateChanDialog
	{
		[Glade.Widget] Gtk.Dialog createchannel_dialog;
		[Glade.Widget] Entry name_entry;
		[Glade.Widget] Entry topic_entry;
		[Glade.Widget] CheckButton checkbutton;
		IPL moPL;

		public ClCreateChanDialog(Gtk.Window oParentWindow,
								  IPL oPL)
		{
			moPL = oPL;
			Glade.XML gxmlcreatechandia = new Glade.XML(null, "p2pc.glade", "createchannel_dialog", null);
			if(gxmlcreatechandia!=null){
				gxmlcreatechandia.Autoconnect(this);
				createchannel_dialog.TransientFor = oParentWindow;
			}
		}

		protected void cancel_creation(object sender, EventArgs e)
		{
			createchannel_dialog.Hide();
		}

		protected void create_channel(object sender, EventArgs e)
		{
			moPL.create_channel(name_entry.Text, topic_entry.Text, checkbutton.Active);
			createchannel_dialog.Hide();
		}
	}
}
