/* ILink - Interface for the Link class
 * not very interesting - just some Props
 * 
 * Created by SharpDevelop.
 * User: Vitus
 *
 */

using System;
using System.Net.Sockets;
using System.Net;

namespace P2Pc.net{
	
	
	public interface ILink : IAbstractNetInfo{
		#region Methods
		#endregion
		
		
		#region Properties
		bool PbConnected
		{
			get;
		}
		
		IPEndPoint PRemoteEndPoint{
			get;
		}
		
		DateTime PConnectedSince
		{
			get;
		}
		
		int PTrafficRx
		{
			get;
		}
		
		int PTrafficSx
		{
			get;
		}
		/*
		//in current bytes/sec
		int PThroughput
		{
			get;
		}
		*/
		
		Socket PSocket
		{
			get;
		}
		#endregion
		
	}
}
