/* Exception classes 
 * define some often used Exceptions
 * 
*/
using System;

namespace P2Pc.util{


	public class EMessageDecryptingException : System.ApplicationException
	{

		public EMessageDecryptingException ( string message ) : base ( message )
		{
		}

	}

	public class ECertificateException : System.ApplicationException
	{

		public ECertificateException ( string message ) : base ( message )
		{
		}

	}

	public class EConnectionException : System.ApplicationException
	{

		public EConnectionException ( string message ) : base ( message )
		{
		}
	}

	public class ENetException : System.ApplicationException
	{

		public ENetException ( string message ) : base ( message )
		{
		}
	}
	
	public class EXMLParsingException : System.ApplicationException
	{

		public EXMLParsingException ( string message ) : base ( message )
		{
		}

	}
	public class EMessageValidationException : System.ApplicationException
	{

		public EMessageValidationException ( string message ) : base ( message )
		{
		}

	}
	
	public class EDecryptingException : System.ApplicationException
	{

		public EDecryptingException ( string message ) : base ( message )
		{
		}

	}
	public class EEncryptingException : System.ApplicationException
	{

		public EEncryptingException ( string message ) : base ( message )
		{
		}

	}
	
}
