using System;

using Gtk;
using Glade;

namespace P2Pc.gui {

	public class ClAboutDialog
	{
		[Glade.Widget] Gtk.Dialog about_dialog;
		[Glade.Widget] Gtk.VBox vboxAbout;
		static ScrolledWindow sw;

		public ClAboutDialog(Gtk.Window oParentWindow)
		{
			Glade.XML gxmlabout = new Glade.XML (null, "p2pc.glade", "about_dialog", null);
			gxmlabout.Autoconnect (this);
			about_dialog.DefaultResponse = ResponseType.Close;
			about_dialog.TransientFor = oParentWindow;
			vboxAbout = (Gtk.VBox)gxmlabout.GetWidget("vboxAbout");
			Image AboutPic = new Image (new Gdk.Pixbuf (null, "p2pc.jpeg"));
			if(AboutPic!=null && vboxAbout!=null){
				vboxAbout.PackStart(AboutPic,true,true,0);
				vboxAbout.ReorderChild(AboutPic,0);
			}
			AboutPic.Show();
		}

		protected void close_about(object sender, EventArgs e)
		{
			about_dialog.Hide();	
		}

	}
}
