/* ICConMan - Interface for the ConMan class
 * and the events for it
 * is commented out, because Interface member cannot be static
 *
 * Created by SharpDevelop.
 * User: Vitus
 *
 */


using System;
using System.Net;
using System.Collections;
using System.Security.Cryptography;

using P2Pc.io;

namespace P2Pc.net{

	public enum NetInfoEventType{
		channel,user,node,generic
	}

	public interface IAbstractNetInfo{
		//nothing here, thus abstract

	}

	public class NetInfoChangedEventArgs : EventArgs {

		public NetInfoEventType changedNetInfo;

		public NetInfoChangedEventArgs(NetInfoEventType noet){ changedNetInfo=noet;}
	}


	public delegate void DNetInfoChangedEventHandler(object sender,
	                                                 NetInfoChangedEventArgs e);

	/*
	public interface IConnectionManager{

		//M:

		void 			globalConnect();
		void 			globalDisConnect();

		void			addNode(IPEndPoint endPoint);
		void 			remNode(INode node);

		IChannel		createChannel(string name);
		IChannel		createChannel(string name,bool pbClosed);

		void			sendGetCertificateMsg(IUser User);

		IUser			addToKnownUsers(string name);
		IChannel		addToKnownChannels(string name);
		INode			addToKnownNodes(IPEndPoint ep);

		void			floodCM(chatmessage pcm,CNode sender);
		void 			SendToUsers(ICollection pToUsers,chatmessage cm, int level,bool pNew);
		void 			sendAnonMsg(string pMsg);
		void			processCM(chatmessage pcm, IAbstractNetInfo sender);

		void 			SaveKnownNodes(Stream pStream);
		void 			LoadKnownNodes(Stream pStream);



		//P:

			//options:


				bool PbSendRandomAnonMsgs
				{
					get;
					set;
				}
				string PLocalNickName
				{
					get;
					set;
				}

				int PLocalListenPort
				{
					get;
					set;
				}

				RSA PLocalRSA
				{
					get;
					set;
				}
				byte[] PLocalX509Cert
				{
					get;
					set;
				}
				//info

				IPEndPoint PLocalNodeName
				{
					get;
				}

				Hashtable PKnownChannels
				{
					get;
				}

				Hashtable PKnownNodes
				{
					get;
				}

				Hashtable PKnownUsers
				{
					get;
				}

				//E:
					event DNetInfoChangedEventHandler EvNetInfoChanged;
	}
	*/

}
