/* INode - Interface for the Node class
 * 
 * 
 * Created by SharpDevelop.
 * User: Vitus
 *
 */

using System;
using System.Net;
using P2Pc.io;

namespace P2Pc.net{
	
	
	public interface INode : IAbstractNetInfo{
		#region Methods
		void	sendCM(chatmessage msg);
		void	openLink();
		void	closeLink();
		string ToString();
		#endregion
		
		#region Properties
		bool PbLinked
		{
			get;
			set;
		}
		
		CLink PLink
		{
			get;
			
		}
		
		IPEndPoint PNodeName
		{
			get;
		}
		
		DateTime PLastRecvCM
 		{
 			get;
 		}
		#endregion
		
	}
}
