/* IUser - Interface for the User class
 * just one Method and some Props
 * 
 * Created by SharpDevelop.
 * User: Vitus
 *
 */

using System;
using Mono.Security.Cryptography;
using Mono.Security.X509;

namespace P2Pc.net{
	
	
	public interface IUser : IAbstractNetInfo{
		#region Methods
		//void		sendPrivMsg(string theMsg);
		void		addRoute(CNode pRouteOver,uint pHops);
		#endregion
		
		
		#region Properties
		CNode PBestRoute{
			get;
		}
		uint PBestRouteHops{
			get;
		}
		string PNick
		{
			get;
		}
		bool PbGCMPending{
			get;
			set;
		}
		
		RSAManaged PRSAM{
			get;
		}
		
		X509Certificate PCert
		{
			get;
			set;
		}
		#endregion
		
	}
}
